use clap::Parser;
use spacesh_cli::cli::Cli;
use spacesh_cli::output;

#[tokio::main(flavor = "multi_thread", worker_threads = 2)]
async fn main() {
    let parsed = Cli::parse();
    std::process::exit(output::run(parsed).await);
}
